Debian Bug report logs - #623672
Chokes on certificates with accented characters (LANG=C LC_ALL=C is wrong)

version graph

Package: ca-certificates-java; Maintainer for ca-certificates-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for ca-certificates-java is src:ca-certificates-java.

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Fri, 22 Apr 2011 07:06:01 UTC

Owned by: Torsten Werner <twerner@debian.org>

Severity: grave

Tags: help, patch

Merged with 623671, 623882

Found in version ca-certificates-java/20100412

Fixed in version ca-certificates-java/20110425

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=26

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Fri, 22 Apr 2011 07:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 22 Apr 2011 07:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Chokes on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Fri, 22 Apr 2011 09:02:09 +0200
[Message part 1 (text/plain, inline)]
Package: ca-certificates-java
Version: 20100412
Severity: grave
Tags: patch

The pattern for errors is non-us-ascii characters in CA cert names.

creating /etc/ssl/certs/java/cacerts...
  added certificate mozilla/ACEDICOM_Root.crt
  error adding mozilla/AC_Raíz_Certicámara_S.A..crt
  added certificate mozilla/ApplicationCA_-_Japanese_Government.crt
  added certificate mozilla/Autoridad_de_Certificacion_Firmaprofesional_CIF_A62634068.crt
  added certificate mozilla/Buypass_Class_2_CA_1.crt
  added certificate mozilla/Buypass_Class_3_CA_1.crt
  added certificate mozilla/CA_Disig.crt
  added certificate mozilla/CNNIC_ROOT.crt
  added certificate mozilla/Certigna.crt
  added certificate mozilla/Chambers_of_Commerce_Root_-_2008.crt
  added certificate mozilla/ComSign_CA.crt
  added certificate mozilla/ComSign_Secured_CA.crt
  added certificate mozilla/Cybertrust_Global_Root.crt
  added certificate mozilla/E-Guven_Kok_Elektronik_Sertifika_Hizmet_Saglayicisi.crt
  error adding mozilla/EBG_Elektronik_Sertifika_Hizmet_Sağlayıcısı.crt
  added certificate mozilla/GeoTrust_Primary_Certification_Authority_-_G2.crt
  added certificate mozilla/GeoTrust_Primary_Certification_Authority_-_G3.crt
  added certificate mozilla/GlobalSign_Root_CA_-_R3.crt
  added certificate mozilla/Global_Chambersign_Root_-_2008.crt
  added certificate mozilla/Hongkong_Post_Root_CA_1.crt
  added certificate mozilla/IGC_A.crt
  added certificate mozilla/Izenpe.com.crt
  added certificate mozilla/Juur-SK.crt
  added certificate mozilla/Microsec_e-Szigno_Root_CA.crt
  added certificate mozilla/Microsec_e-Szigno_Root_CA_2009.crt
  error adding mozilla/NetLock_Arany_=Class_Gold=_Főtanúsítvány.crt
  added certificate mozilla/OISTE_WISeKey_Global_Root_GA_CA.crt
  added certificate mozilla/S-TRUST_Authentication_and_Encryption_Root_CA_2005_PN.crt
  added certificate mozilla/SecureSign_RootCA11.crt
  added certificate mozilla/Security_Communication_EV_RootCA1.crt
   added certificate mozilla/Staat_der_Nederlanden_Root_CA_-_G2.crt
  added certificate mozilla/TC_TrustCenter_Class_2_CA_II.crt
  added certificate mozilla/TC_TrustCenter_Class_3_CA_II.crt
  added certificate mozilla/TC_TrustCenter_Universal_CA_I.crt
  added certificate mozilla/TC_TrustCenter_Universal_CA_III.crt
  error adding mozilla/TÜBİTAK_UEKAE_Kök_Sertifika_Hizmet_Sağlayıcısı_-_Sürüm_3.crt
  added certificate mozilla/VeriSign_Class_3_Public_Primary_Certification_Authority_-_G4.crt
  added certificate mozilla/VeriSign_Universal_Root_Certification_Authority.crt
  added certificate mozilla/certSIGN_ROOT_CA.crt
  added certificate mozilla/ePKI_Root_Certification_Authority.crt
  added certificate mozilla/thawte_Primary_Root_CA_-_G2.crt
  added certificate mozilla/thawte_Primary_Root_CA_-_G3.crt

I tried hacking the scripts and the problem is LANG=C LC_ALL=C which
breaks unicode characters.

I am attaching a patch which fixes this breakage.

O.

-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ca-certificates-java depends on:
ii  ca-certificates    20090814+nmu2         Common CA certificates
ii  default-jre-headle 1:1.6-40              Standard Java or Java compatible R
ii  openjdk-6-jre-head 6b18-1.8.3-2+squeeze1 OpenJDK Java runtime, using Hotspo

Versions of packages ca-certificates-java recommends:
ii  libnss3-1d             3.12.8-1+squeeze1 Network Security Service libraries

ca-certificates-java suggests no packages.

-- Configuration Files:
/etc/default/cacerts [Errno 13] Permission denied: u'/etc/default/cacerts'

-- no debconf information
[ca-certificates-java-use-en_US.UTF-8.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, kurt@roeckx.be, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Fri, 22 Apr 2011 08:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to kurt@roeckx.be, OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 22 Apr 2011 08:48:07 GMT) Full text and rfc822 format available.

Message #10 received at 623672@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <623672@bugs.debian.org>
Subject: Re: on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Fri, 22 Apr 2011 10:44:46 +0200
Package: ca-certificates-java

Just additional info and Cc:ing Kurt on this, This bug in
ca-certificates-java was triggered by ca-certificates/20110421

http://packages.qa.debian.org/c/ca-certificates/news/20110421T193208Z.html

O.

-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ca-certificates-java depends on:
ii  ca-certificates    20090814+nmu2         Common CA certificates
ii  default-jre-headle 1:1.6-40              Standard Java or Java compatible R
ii  openjdk-6-jre-head 6b18-1.8.3-2+squeeze1 OpenJDK Java runtime, using Hotspo

Versions of packages ca-certificates-java recommends:
ii  libnss3-1d             3.12.8-1+squeeze1 Network Security Service libraries

ca-certificates-java suggests no packages.

-- Configuration Files:
/etc/default/cacerts [Errno 13] Permission denied: u'/etc/default/cacerts'

-- no debconf information




Merged 623671 623672. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Fri, 22 Apr 2011 23:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Fri, 22 Apr 2011 23:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Fri, 22 Apr 2011 23:57:05 GMT) Full text and rfc822 format available.

Message #17 received at 623672@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Ondrej Surý <ondrej@debian.org>, 623672@bugs.debian.org
Subject: Re: Bug#623672: on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Sat, 23 Apr 2011 01:53:11 +0200
On Fri, Apr 22, 2011 at 10:44:46AM +0200, Ondrej Surý wrote:
> Package: ca-certificates-java
> 
> Just additional info and Cc:ing Kurt on this, This bug in
> ca-certificates-java was triggered by ca-certificates/20110421
> 
> http://packages.qa.debian.org/c/ca-certificates/news/20110421T193208Z.html

I think the patch you provided is wrong since there is no
guarantee that en_US.UTF-8 is installed.  We also still
don't have a C.UTF-8 locale.

In any case I think it's wrong for any application to
not accept a filename in whatever encoding the filename is
stored in, unrelated to whatever the current locale is set to.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Sat, 23 Apr 2011 03:52:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sat, 23 Apr 2011 03:52:03 GMT) Full text and rfc822 format available.

Message #22 received at 623672@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: Ondrej Surý <ondrej@debian.org>, "623672@bugs.debian.org" <623672@bugs.debian.org>
Subject: Re: Bug#623672: on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Sat, 23 Apr 2011 05:47:32 +0200
I have added locales-all to depends and it installs en_US.UTF-8 (in preinst).

Ondřej Surý

On 23.4.2011, at 1:53, Kurt Roeckx <kurt@roeckx.be> wrote:

> On Fri, Apr 22, 2011 at 10:44:46AM +0200, Ondrej Surý wrote:
>> Package: ca-certificates-java
>> 
>> Just additional info and Cc:ing Kurt on this, This bug in
>> ca-certificates-java was triggered by ca-certificates/20110421
>> 
>> http://packages.qa.debian.org/c/ca-certificates/news/20110421T193208Z.html
> 
> I think the patch you provided is wrong since there is no
> guarantee that en_US.UTF-8 is installed.  We also still
> don't have a C.UTF-8 locale.
> 
> In any case I think it's wrong for any application to
> not accept a filename in whatever encoding the filename is
> stored in, unrelated to whatever the current locale is set to.
> 
> 
> Kurt
> 




Set Bug forwarded-to-address to 'http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=26'. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 10:09:40 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 23 Apr 2011 10:09:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Sun, 24 Apr 2011 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 24 Apr 2011 08:36:04 GMT) Full text and rfc822 format available.

Message #31 received at 623672@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>, Matthias Klose <doko@debian.org>
Cc: Ondrej Surý <ondrej@debian.org>, "623672@bugs.debian.org" <623672@bugs.debian.org>
Subject: Re: Bug#623672: on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Sun, 24 Apr 2011 10:32:56 +0200
I have a NMU version prepared ready for upload. Unfortunately the
DELAYED/1 queue doesn't work due "Permission denied (publickey)", so I
am uploading it directly to unstable.

The problem is quite critical, because it's blocking src:db from being
built which in turn blocks everything on db to fail (including the
apt).

The patch used is exactly the same as the patch I sent to BTS.

Sorry for fast NMU, I have used version number with ~nmu1, so the real
number can be used later.

O.

On Sat, Apr 23, 2011 at 05:47, Ondřej Surý <ondrej@sury.org> wrote:
> I have added locales-all to depends and it installs en_US.UTF-8 (in preinst).
>
> Ondřej Surý
>
> On 23.4.2011, at 1:53, Kurt Roeckx <kurt@roeckx.be> wrote:
>
>> On Fri, Apr 22, 2011 at 10:44:46AM +0200, Ondrej Surý wrote:
>>> Package: ca-certificates-java
>>>
>>> Just additional info and Cc:ing Kurt on this, This bug in
>>> ca-certificates-java was triggered by ca-certificates/20110421
>>>
>>> http://packages.qa.debian.org/c/ca-certificates/news/20110421T193208Z.html
>>
>> I think the patch you provided is wrong since there is no
>> guarantee that en_US.UTF-8 is installed.  We also still
>> don't have a C.UTF-8 locale.
>>
>> In any case I think it's wrong for any application to
>> not accept a filename in whatever encoding the filename is
>> stored in, unrelated to whatever the current locale is set to.
>>
>>
>> Kurt
>>
>



-- 
Ondřej Surý <ondrej@sury.org>
http://blog.rfc1925.org/




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Sun, 24 Apr 2011 08:51:13 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Sun, 24 Apr 2011 08:51:13 GMT) Full text and rfc822 format available.

Message #36 received at 623672-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 623672-close@bugs.debian.org
Subject: Bug#623672: fixed in ca-certificates-java 20110421~nmu1
Date: Sun, 24 Apr 2011 08:47:20 +0000
Source: ca-certificates-java
Source-Version: 20110421~nmu1

We believe that the bug you reported is fixed in the latest version of
ca-certificates-java, which is due to be installed in the Debian FTP archive:

ca-certificates-java_20110421~nmu1.dsc
  to main/c/ca-certificates-java/ca-certificates-java_20110421~nmu1.dsc
ca-certificates-java_20110421~nmu1.tar.gz
  to main/c/ca-certificates-java/ca-certificates-java_20110421~nmu1.tar.gz
ca-certificates-java_20110421~nmu1_all.deb
  to main/c/ca-certificates-java/ca-certificates-java_20110421~nmu1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623672@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated ca-certificates-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Apr 2011 10:13:48 +0200
Source: ca-certificates-java
Binary: ca-certificates-java
Architecture: source all
Version: 20110421~nmu1
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 ca-certificates-java - Common CA certificates (JKS keystore)
Closes: 623672
Changes: 
 ca-certificates-java (20110421~nmu1) unstable; urgency=low
 .
   * Non-maintainer Upload.
   * Depend on locales-all and use en_US.UTF-8 locale (Closes: #623672)
Checksums-Sha1: 
 a001951ceba080a46094481f6d7314d1dfdbca25 935 ca-certificates-java_20110421~nmu1.dsc
 29bbfdfd8c47d1e5d1f4563eb820928317f4d779 5192 ca-certificates-java_20110421~nmu1.tar.gz
 7a359b448c0457e6a9d0b0ad429b781202fa1cf3 121214 ca-certificates-java_20110421~nmu1_all.deb
Checksums-Sha256: 
 a0ca7ff96b21eef0aeb3bdfd0723096dbfb60bd4f4acbb3edcdb58874aa44673 935 ca-certificates-java_20110421~nmu1.dsc
 9467b607121cdb8bfa7b6530ff38639b1ab9d91b87d8840ddd7b5da525e06f42 5192 ca-certificates-java_20110421~nmu1.tar.gz
 f1676e45b274eda1e4c3d090948e2b049d7361ccb298cb17bbaff5b6f4bf543f 121214 ca-certificates-java_20110421~nmu1_all.deb
Files: 
 794af8abbbbef5f67f214200bc903675 935 java optional ca-certificates-java_20110421~nmu1.dsc
 34078ed264e401ffb5b176d3b98ec214 5192 java optional ca-certificates-java_20110421~nmu1.tar.gz
 fdf73c875dc69e15a29c819ae9c2509e 121214 java optional ca-certificates-java_20110421~nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2z3m4ACgkQ9OZqfMIN8nOMmwCdGxDJ7EsmZ/Qwb59RAkYBUVyM
nz4An2nxXmJSbMIgSfL9vf97jRuhmZUf
=e8O5
-----END PGP SIGNATURE-----





Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Sun, 24 Apr 2011 08:51:14 GMT) Full text and rfc822 format available.

Notification sent to shirish शिरीष <shirishag75@gmail.com>:
Bug acknowledged by developer. (Sun, 24 Apr 2011 08:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Sun, 24 Apr 2011 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 24 Apr 2011 09:18:04 GMT) Full text and rfc822 format available.

Message #46 received at 623672@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Ondrej Surý <ondrej@debian.org>
Cc: Matthias Klose <doko@debian.org>, "623672@bugs.debian.org" <623672@bugs.debian.org>
Subject: Re: Bug#623672: on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Sun, 24 Apr 2011 11:15:42 +0200
reopen 623672
notfixed 623672 20110421~nmu1
thanks

On Sun, Apr 24, 2011 at 10:32:56AM +0200, Ondrej Surý wrote:
> 
> The problem is quite critical, because it's blocking src:db from being
> built which in turn blocks everything on db to fail (including the
> apt).

I actually see a whole bunch of packages being retried all the
time because of it.  So I agree we need some solution now.

> The patch used is exactly the same as the patch I sent to BTS.

But I don't agree with the solution, I think a Depends on
locales-all is wrong, so I'm reopening it.


Kurt





Bug No longer marked as fixed in versions ca-certificates-java/20110421~nmu1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Apr 2011 09:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Sun, 24 Apr 2011 09:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 24 Apr 2011 09:36:08 GMT) Full text and rfc822 format available.

Message #53 received at 623672@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: Ondrej Surý <ondrej@debian.org>, Matthias Klose <doko@debian.org>, "623672@bugs.debian.org" <623672@bugs.debian.org>
Subject: Re: Bug#623672: on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Sun, 24 Apr 2011 11:32:17 +0200
Hi Kurt, I agree, but I propose you unmerge, keep your bug open and close mine.

Ondřej Surý

On 24.4.2011, at 11:15, Kurt Roeckx <kurt@roeckx.be> wrote:

> reopen 623672
> notfixed 623672 20110421~nmu1
> thanks
> 
> On Sun, Apr 24, 2011 at 10:32:56AM +0200, Ondrej Surý wrote:
>> 
>> The problem is quite critical, because it's blocking src:db from being
>> built which in turn blocks everything on db to fail (including the
>> apt).
> 
> I actually see a whole bunch of packages being retried all the
> time because of it.  So I agree we need some solution now.
> 
>> The patch used is exactly the same as the patch I sent to BTS.
> 
> But I don't agree with the solution, I think a Depends on
> locales-all is wrong, so I'm reopening it.
> 
> 
> Kurt
> 




Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#623672; Package ca-certificates-java. (Sun, 24 Apr 2011 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Sun, 24 Apr 2011 20:36:03 GMT) Full text and rfc822 format available.

Message #58 received at 623672@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Ondrej Surý <ondrej@debian.org>
Cc: Matthias Klose <doko@debian.org>, "623672@bugs.debian.org" <623672@bugs.debian.org>
Subject: Re: Bug#623672: on certificates with accented characters (LANG=C LC_ALL=C is wrong)
Date: Sun, 24 Apr 2011 22:32:11 +0200
On Sun, Apr 24, 2011 at 11:15:42AM +0200, Kurt Roeckx wrote:
> 
> But I don't agree with the solution, I think a Depends on
> locales-all is wrong, so I'm reopening it.

Lintian seems to be using an en_US.UTF-8 for internal use,
maybe it could do the same?

But I'd would prefer that the locale settings didn't have any
effect on it.

Kurt





Owner recorded as Torsten Werner <twerner@debian.org>. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 24 Apr 2011 21:45:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 24 Apr 2011 21:45:11 GMT) Full text and rfc822 format available.

Forcibly Merged 623671 623672 623882. Request was from Michael Shuler <michael@pbandjelly.org> to control@bugs.debian.org. (Fri, 28 Oct 2011 23:09:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:56:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:26:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.